Illumience API

Single System Status Query by Time (eSite Only)

Create a new user

GET /v3/status/{mac}/{timestamp}

🚨 WARNING: This API call should not be used at this time.

This endpoint will return a single data object based upon the timestamp provided.

The timestamp must conform to this structure YYYY-MM-DDTHH:MM:00

The cloud will try to find the last telemetry data that is less than the timestamp.

⚠️ If the last telemetry data less than the timestamp is days old, then that data will be returned.

⚠️ Your timestamp must be within the previous 30 days, or you will get an error returned.

Headers

NameValue
api-key*The apikey provided to access your customer data

Response

200

{
  "mac": string,
  "date": string,
  "time": string,
  "solarPower": double,
  "solarCurrent": double,
  "systemVoltage": double,
  "batterySoc": double,
  "batteryVoltage": double,
  "batteryChargeCurrent": double,
  "batteryState": integer,
  "producedEnergy": double,
  "consumedEnergy": double
}

401

{
  "error": "unauthorized "
}

50x

{
  "error": "internal server error "
}